Subject: Re: Annoying absolute path for "core.worktree" to submodule

From: Antony Male <[email-masked]>
Date: Tue, 20 Mar 2012 13:31:18 +0000

On 20/03/2012 9:52 am, Christian Hammerl wrote:
> Hey folks,
>
> I really love the work you are doing on GIT but the last update
> regarding submodules is a bit annoying. Although the path inside the
> ".git" file is stored relative to the submodule's path, the path in
> ".git/modules/path-to-submodule/config" is stored as an absolute path
> for "core.worktree".

What are you referring to as the "last update"? v1.7.8 introduced the 
separate git dir for submodules, and used an absolute path.

This absolute path was changed to a relative path in the patchset at 
[1], which is present in v1.7.10-rc1.

[1]: http://thread.gmane.org/gmane.comp.version-control.git/192173